Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.management.oss.impl.pm.opstatus
Class OperationalStatusMonitorValueIteratorImpl

    java.lang.Object
      com.sun.management.oss.impl.pm.util.ObjectIterator
          com.sun.management.oss.impl.ManagedEntityValueIteratorImpl
              com.sun.management.oss.impl.pm.opstatus.OperationalStatusMonitorValueIteratorImpl

All Implemented Interfaces:
  ManagedEntityValueIterator, OperationalStatusMonitorValueIterator, java.io.Serializable

public class OperationalStatusMonitorValueIteratorImpl
extends ManagedEntityValueIteratorImpl
implements OperationalStatusMonitorValueIterator

Title: JSR090 Reference Implementation Description: Copyright: Copyright 2001 Ericsson Radio Systems AB Company: Ericsson

Version:
  0.2
Author:
  Andreas Jirven, Anna Eriksson, Ali Feizabadi
See Also:
  Serialized Form

Constructor Summary
`OperationalStatusMonitorValueIteratorImpl(OperationalStatusMonitorValue[] measurementJobs)`

Method Summary
`OperationalStatusMonitorValue[]` | `getNextOperationalStatusMonitors(int how_many)` Returns a list of measurement jobs.

Methods inherited from class com.sun.management.oss.impl.ManagedEntityValueIteratorImpl
`getNext`

Methods inherited from class com.sun.management.oss.impl.pm.util.ObjectIterator
`getNextValue, remove`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.sun.management.oss.ManagedEntityValueIterator
`getNext, remove`

Constructor Detail

### OperationalStatusMonitorValueIteratorImpl

    public OperationalStatusMonitorValueIteratorImpl(OperationalStatusMonitorValue[] measurementJobs)

Method Detail

### getNextOperationalStatusMonitors

    public OperationalStatusMonitorValue[] getNextOperationalStatusMonitors(int how_many)

  Description copied from interface: `OperationalStatusMonitorValueIterator`
  Returns a list of measurement jobs.

  The function takes one argument that specifies the most number of items to return. The implementation can decide to return less or the requested number of items.

  If zero is specified and empty list is returned.

  If the iteration is empty or has reached then end, an empty array is returned.

  If the argument is greater than the number of item in the iterator then all or implementation decided number of items are returned.

  If the agreement plus the cursor of the iterator is greater than the number of item in the iterator, all or implementation decided number of items from the cursor to the end is returned.

  Specified by:
    `getNextOperationalStatusMonitors` in interface `OperationalStatusMonitorValueIterator`
  Parameters:
    `how_many` - Maximum of items to return, the implementation can decide to return less.
  Returns:
    OperationalStatusMonitorValue[] List of measurement jobs.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD